@twinfinity/twin
Index
Classes
- AssetAttachmentConflictError
- AssetAttachmentNotFoundError
- AssetBatchError
- AssetCatalogTooLargeError
- AssetCategoryConflictError
- AssetCategoryForbiddenError
- AssetCategoryNotFoundError
- AssetCategoryValidationError
- AssetConflictError
- AssetForbiddenError
- AssetNotFoundError
- AssetTypeConflictError
- AssetTypeForbiddenError
- AssetTypeNotFoundError
- AssetTypeValidationError
- AssetValidationError
- ProcessorNotFoundError
- TwinClient
- TwinConflictError
- TwinFileConflictError
- TwinFileNotFoundError
- TwinFileValidationError
- TwinNotFoundError
- TwinUnauthenticatedError
- TwinValidationError
Functions
Interfaces
- ApiCreateUploadSessionResponse
- AssetAttachmentPut
- AssetBatchDeleteOperation
- AssetBatchGetRequest
- AssetBatchGetResponse
- AssetBatchRequest
- AssetBatchResponse
- AssetBatchRestoreOperation
- AssetBatchUpsertItem
- AssetBatchUpsertOperation
- AssetCatalogCategory
- AssetCatalogResponse
- AssetCatalogTooLargeErrorBody
- AssetCategoryDelete
- AssetCategoryGet
- AssetCategoryPut
- AssetGet
- AssetListItem
- AssetPosition
- AssetPost
- AssetPut
- AssetTypeDelete
- AssetTypeGet
- AssetTypePut
- AttachmentGet
- AttachmentPost
- BatchItemError
- BatchItemResult
- BatchSummary
- Diagnostics
- DiagnosticsSummary
- ElementQuantities
- EntityCollection
- Facility
- FacilityPart
- FilePatch
- FilePatchSet
- GenericDiagnosticEntry
- ITwinClient
- IfcDiagnosticEntry
- IfcDiagnosticNode
- IfcDiagnosticNodeData
- ListTwinItem
- Location
- MyPermissions
- PaginatedResponse
- Pagination
- Property
- PropertySet
- SimpleQuantity
- SinglePropertyValue
- Site
- Space
- TwinComputedPropertySetsResponse
- TwinContentResponse
- TwinDelete
- TwinDiagnosticEntry
- TwinDiagnosticNode
- TwinDiagnosticNodeData
- TwinDiagnosticsResponse
- TwinErrorBody
- TwinFileDelete
- TwinFileGet
- TwinFileListOptions
- TwinFilePut
- TwinFileReference
- TwinFileRestore
- TwinFileSource
- TwinFileTransform
- TwinFileVersionListOptions
- TwinGet
- TwinProcessorEvent
- TwinProcessorResponse
- TwinPut
- TwinSpecification
- TwinVersionContentResponse
- UploadStatusGet
Type Aliases
Type Aliases
AssetBatchGetStatus
AssetBatchOperation
AssetBatchOperationStatus
DiagnosticCategory
DiagnosticLevel
The severity level of the diagnostic event.
EpsgType
FacilityClass
Type of facility (e.g. IfcBuilding)
Types of facilities
FacilityPartClass
Type of facility part (e.g. IfcBuildingStorey)
Types of facility parts
IfcDiagnosticCode
Op
The patch operation type
SinglePropertyValueType
Type of value (e.g IfcDate, IfcAreaMeasure, IfcInteger, IfcElectricCurrentMeasure)
Types of property values that consists of a single value
SingleQuantityValueType
Type of value (e.g IfcQuantityArea, IfcQuantityNumber)
Types of qunatity values that consists of a single value
SiteType
Type of site (i.e. IfcSite)
Types of Twins
SpaceType
Type of space (e.g. IfcSpace)
TwinCapability
Named, customer-scoped capability the caller can exercise against the
Twin service. Returned by GET /twins/permissions/me. Forward-compatible:
unknown strings should be treated as "not granted" and ignored, so adding
a new capability on the backend is a non-breaking change for clients
compiled against older types.
TwinDiagnosticCode
TwinErrorCause
Closed union of cause values the Twin service emits on a 400 response. Mirrors
TwinBadRequestCause in backend/services/Twinfinity.Twin/Controllers/Model/TwinStatus.cs.
The trailing (string & {}) keeps autocomplete on the known values while still
accepting unknown causes at the type level — a forward-compat pattern: a new
cause emitted by a newer server doesn't break older clients that pattern-match
on the union. Matches the shape of TwinCapability in
types/twin-permissions-api.ts.
TwinErrorItemKind
Closed union of item.kind values the server emits. Mirrors ItemKind in
backend/services/Twinfinity.Twin/Model/ItemReference.cs. Same forward-compat
shape as TwinErrorCause.
The category of the diagnostic event.